Package org.apache.storm.hive.security

## Class HiveSecurityUtil

- java.lang.Object
- - org.apache.storm.hive.security.HiveSecurityUtil

-     @Deprecated(since="2.7.1",
                  forRemoval=true)
      public final class HiveSecurityUtil
      extends Object

  Deprecated, for removal: This API element is subject to removal in a future version.
  This class provides util methods for storm-hdfs connector communicating with secured Hive.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `HIVE_CREDENTIALS` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static String` | `HIVE_CREDENTIALS_CONFIG_KEYS` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static String` | `HIVE_KEYTAB_FILE_KEY` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static String` | `HIVE_PRINCIPAL_KEY` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HIVE_KEYTAB_FILE_KEY

          public static final String HIVE_KEYTAB_FILE_KEY

      Deprecated, for removal: This API element is subject to removal in a future version.
      See Also:
        Constant Field Values

    - #### HIVE_PRINCIPAL_KEY

          public static final String HIVE_PRINCIPAL_KEY

      Deprecated, for removal: This API element is subject to removal in a future version.
      See Also:
        Constant Field Values

    - #### HIVE_CREDENTIALS_CONFIG_KEYS

          public static final String HIVE_CREDENTIALS_CONFIG_KEYS

      Deprecated, for removal: This API element is subject to removal in a future version.
      See Also:
        Constant Field Values

    - #### HIVE_CREDENTIALS

          public static final String HIVE_CREDENTIALS

      Deprecated, for removal: This API element is subject to removal in a future version.
      See Also:
        Constant Field Values